package rocks.zipcode.quiz5.arrays;

/**
 * @author leon on 01/01/2019.
 */
public class ArrayUtils {
    public static String getMiddleElement(String[] values) {
        return values[values.length/2];
    }

    public static String[] removeMiddleElement(String[] values) {
        String[] newArr = new String[values.length - 1];
        String v = getMiddleElement(values);
        int counter = 0;
        for (String value : values) {
            if (!value.equals(v)) {
                newArr[counter] = value;
                counter++;
            }
        }
        return newArr;
    }

    public static String getLastElement(String[] values) {
        return values[values.length - 1];
    }

    public static String[] removeLastElement(String[] values) {
        String[] newArr = new String[values.length - 1];
        if (newArr.length >= 0) System.arraycopy(values, 0, newArr, 0, newArr.length);
        return newArr;
    }
}